Debian Bug report logs - #511069
RFP: libcrypt-salt-perl -- generate salt to be fed into crypt()

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Wed, 7 Jan 2009 09:03:01 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#511069; Package wnpp. (Wed, 07 Jan 2009 09:03:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcrypt-salt-perl -- generate salt to be fed into crypt()
Date: Wed, 7 Jan 2009 10:56:46 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Damyan Ivanov <dmn@debian.org>

* Package name    : libcrypt-salt-perl
  Version         : 0.01
  Upstream Author : Jonathan Steinert <hachi@cpan.org>
* URL             : http://search.cpan.org/dist/Crypt-Salt/
* License         : same as Perl (Artistic or GPL-1+)
  Programming Lang: Perl
  Description     : generate salt to be fed into crypt()

 The single exported subroutine in this module is for generating a salt
 suitable for being fed to crypt() and other similar functions.
 .
 Variable length salts can be generated, the default salt is two
 characters long.

-=-=-=-=-=-=-

The package is a dependency of 'clive-utils', which is spun-off 'clive'
upstream and rewritten in Perl.

FTP-masters, the actual code in this package would be the following
function, the rest is POD, makefiles etc stuff.

 sub salt
 {
    my $length = 2;
    $length = $_[0] if exists $_[0];

    return join "", ('.', '/', 0..9, 'A'..'Z', 'a'..'z')[map {rand 64} (1..$length)];
 }

There was a recent rejection[1] of a similar package.

    [1] http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2008-December/017000.html

I hope someone can suggest a better place for that module. Separate
package, containing only few lines of code is not very nice indeed.

salt() is mostly useful with crypt(), which is part of core Perl. I
wonder if perl-modules package would be appropriate carier?

The 'join "", ...' part seems like taken straight from crypt()
documentation (perldoc -f crypt).

Finally there's always the option of patching clive-utils and putting inside
its own salt(). My problem with this is that I think code reuse is good,
even in small-scale.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511069; Package wnpp. (Tue, 13 Jan 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #6 received at 511069@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 511069@bugs.debian.org
Subject: Re: Bug#511069: ITP: libcrypt-salt-perl -- generate salt to be fed into crypt()
Date: Tue, 13 Jan 2009 21:35:25 +0200
[Message part 1 (text/plain, inline)]
tags 511069 wontfix
thanks

-=| Damyan Ivanov, Wed, Jan 07, 2009 at 10:56:46AM +0200 |=-
> Package: wnpp
> Severity: wishlist
> Owner: Damyan Ivanov <dmn@debian.org>
> 
> * Package name    : libcrypt-salt-perl
> 
> The package is a dependency of 'clive-utils', which is spun-off 'clive'
> upstream and rewritten in Perl.
> 
> FTP-masters, the actual code in this package would be the following
> function, the rest is POD, makefiles etc stuff.
> 
>  sub salt
>  {
>     my $length = 2;
>     $length = $_[0] if exists $_[0];
> 
>     return join "", ('.', '/', 0..9, 'A'..'Z', 'a'..'z')[map {rand 64} (1..$length)];
>  }
> 
> There was a recent rejection[1] of a similar package.
> 
>     [1] http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2008-December/017000.html

clive-utils upstream just reimplemented the salt() twoliner in their 
code, so the package is no longer needed.

I am tagging wontfix as the package is no-go for the reasons stated in 
the reject above.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 13 Jan 2009 19:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Damyan Ivanov <dmn@debian.org>:
Bug#511069; Package wnpp. (Tue, 25 May 2010 17:10:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Damyan Ivanov <dmn@debian.org>. (Tue, 25 May 2010 17:10:43 GMT) Full text and rfc822 format available.

Message #13 received at 511069@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 511069@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libcrypt-salt-perl: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:25 +0000
retitle 511069 RFP: libcrypt-salt-perl -- generate salt to be fed into crypt()
noowner 511069
thanks

Hi,

This is an automatic email to change the status of libcrypt-salt-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting libcrypt-salt-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 511069 ITP: libcrypt-salt-perl -- generate salt to be fed into crypt()
 owner 511069 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <511069@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libcrypt-salt-perl -- generate salt to be fed into crypt()' from 'ITP: libcrypt-salt-perl -- generate salt to be fed into crypt()' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:16:35 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Damyan Ivanov <dmn@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:16:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:27:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.